<?php
if (!defined( 'ABSPATH' )) { exit; }

function atec_wpmc_connect_memcached(): void
{
	global $atec_wpmc_source;
	if ($atec_wpmc_source['memcached']??false) return; 

	global $atec_wpmc_extensions;
	$atec_wpmc_source['memcached'] = new Memcached();
	$memSettings=$atec_wpmc_extensions['memcached']??[];

	$memUnix = $memSettings['unix']??'';
	if ($memUnix!=='') { $memHost=$memUnix; $memPort=0; }
	else { $memHost=$memSettings['host']??''; $memPort=$memSettings['port']??0; }
	
	$atec_wpmc_source['memcached']->addServer($memHost, intval($memPort));
}
?>