<?php
if (!defined( 'ABSPATH' )) { exit; }

function atec_wpmc_connect_redis(): void
{
	global $atec_wpmc_source;
	if ($atec_wpmc_source['redis']??false) return; 
	global $atec_wpmc_extensions;
	$atec_wpmc_source['redis'] = new Redis();
	$rdSettings=(array) $atec_wpmc_extensions['redis']??[];
	if (($rdSettings['unix']??'')!=='') 	
	{ 
		try 
		{ 
			@$atec_wpmc_source['redis']->pconnect($rdSettings['unix'],0);
			@$atec_wpmc_source['redis']->ping();
		} 
		catch (RedisException $e) { $atec_wpmc_source['redis']=null; } 
	}
	else 
	{
		try 
		{ 
			@$atec_wpmc_source['redis']->pconnect($rdSettings['host']??'',intval($rdSettings['port']??0)); 
			if (($rdSettings['pwd']??'')!=='') @$atec_wpmc_source['redis']->auth($rdSettings['pwd']);
			@$atec_wpmc_source['redis']->ping();
		} 
		catch (RedisException $e) { $atec_wpmc_source['redis']=null; } 	
	}
}

?>