<?php
if (!defined( 'ABSPATH' )) { exit; }

function atec_wpmc_connect($type,$readOnly=false):void
{
	global $atec_wpmc_source;
	if ($atec_wpmc_source[$type]??false) return;
	if (!in_array($type,['File','Database'])) $pluginDir=WP_PLUGIN_DIR.'/mega-cache/';
	switch ($type)
	{
		case 'Redis': require_once($pluginDir.'includes/atec-wpmc-connect-redis.php'); atec_wpmc_connect_redis(); break;
		case 'Memcached': require_once($pluginDir.'includes/atec-wpmc-connect-memcached.php'); atec_wpmc_connect_memcached(); break;
		case 'SQLite': require_once($pluginDir.'includes/atec-wpmc-connect-sqlite.php'); atec_wpmc_connect_sqlite($readOnly); break;
		case 'MongoDB': require_once($pluginDir.'includes/atec-wpmc-connect-mongodb.php'); atec_wpmc_connect_mongodb(); break;
		case 'Database': 
		case 'File': $lower=strtolower($type); global $atec_wpmc_extensions; $atec_wpmc_source[$lower]=$atec_wpmc_extensions[$lower]??''; break;
	}
}

?>