<?php
if (!defined( 'ABSPATH' )) { exit; }

class ATEC_wpmc_groups { function __construct($type,$salt,$url,$nonce,$wpc_tools) {
	
	atec_little_block_with_button($type.' PCache',$url,$nonce,'delete',$type,'',false,true,false);

	$c=0; $total=0;
	$hitsAvail=in_array($type,['APCu','Redis','Memcached']);
	atec_wpmc_connect($type,true);		
	if (atec_clean_request('action')==='delete') { @require_once(__DIR__.'/atec-wpmc-pcache-deleteAll.php'); $keyArr=[]; atec_wpmc_delAll($type); }
	else 
	{ 
		if ($hitsAvail) @require_once(__DIR__.'/atec-wpmc-pcache-getHits.php'); 
		@require_once(__DIR__.'/atec-wpmc-pcache-keys.php'); $allKeys = atec_wpmc_Array(); 
	}

	if (!empty($allKeys))
	{			
		echo '<div class="atec-g"><div>';
		atec_table_header_tiny(['#',__('Key','mega-cache'),'Hits',__('Size','mega-cache')]);
			foreach ($allKeys as $key) 
			{
				$c++; 
				$hits=$hitsAvail?atec_wpmc_getHits($salt,$key->key,$type):'./.';
				$total+=$key->size;
				echo '
				<tr>
					<td class="atec-nowrap">', esc_attr($c), '</td>
					<td class="atec-anywrap">', esc_attr($key->key), '</td>
					<td class="atec-anywrap">', esc_attr($hits), '</td>
					<td class="atec-nowrap">', esc_attr(size_format($key->size)), '</td>
				</tr>';
			}

			echo '<tr class="atec-table-tr-bold"><td>', esc_attr($c), '</td><td colspan="2"></td><td class="atec-nowrap">', esc_attr(size_format($total)), '</td></tr>';
		atec_table_footer();
		echo '</div></div>';
	}

	if ($c===0) 
	{ 
		$wpc_tools->p(__('Not in use','mega-cache'));
		atec_reg_inline_script('wpmc_'.$nonce,'jQuery("#'.$nonce.'").remove();', true); 
	}

}}

?>