<?php
if (!defined( 'ABSPATH' )) { exit; }

function atec_wpmc_pcache_delete_comment($comment)
{
	@require_once(__DIR__.'/atec-wpmc-pcache-delete.php');
	$args = str_replace(['/','?'],['_','#'],wp_parse_url(get_page_link($comment->comment_post_ID))['path']);
	atec_wpmc_delCache($args);
}

function atec_wpmc_pcache_clean_on_comment($comment_ID)
{
	$comment = get_comment( $comment_ID );
	if ($comment->comment_approved==1) { atec_wpmc_pcache_delete_comment($comment); }
}
add_action('comment_post', 'atec_wpmc_pcache_clean_on_comment');

function atec_wpmc_pcache_clean_on_comment_status($new_status, $old_status, $comment) 
{ if (in_array($new_status, ['trash','approved'])) atec_wpmc_pcache_delete_comment($comment); }
add_action('transition_comment_status', 'atec_wpmc_pcache_clean_on_comment_status', 10, 3);
?>